local VirusTotal = {}

function VirusTotal.ID()
  return "208D37AD-7817-44B6-830F-F1F1E285E348"
end

function VirusTotal.Installed()
  return Plugin.Exists(VirusTotal.ID())
end

function VirusTotal.Loaded()
  return far.IsPluginLoaded(VirusTotal.ID())
end

function VirusTotal.Execute()
  return Plugin.Call(VirusTotal.ID(), "")
end

function VirusTotal.ExecuteFileName(FileName)
  return Plugin.Call(VirusTotal.ID(), FileName)
end

Macro
{
  description = "VirusTotal";
  area = "Shell";
  key = "CtrlAltShiftF7";
  action = function()
    return VirusTotal.Execute();
  end;
}
